Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javazoom.spi.mpeg.sampled.file
Class IcyListener

    java.lang.Object
      javazoom.spi.mpeg.sampled.file.IcyListener

All Implemented Interfaces:
  java.util.EventListener, TagParseListener

public class IcyListener
extends java.lang.Object
implements TagParseListener

This class (singleton) allow to be notified on shoutcast meta data while playing the stream (such as song title).

Method Summary
`static IcyListener` | `getInstance()`
`MP3Tag` | `getLastTag()`
`java.lang.String` | `getStreamTitle()`
`java.lang.String` | `getStreamUrl()`
`void` | `reset()` Reset all properties.
`void` | `setLastTag(MP3Tag tag)`
`void` | `setStreamTitle(java.lang.String string)`
`void` | `setStreamUrl(java.lang.String string)`
`void` | `tagParsed(TagParseEvent tpe)` Called when a tag is found (parsed from the stream, received via UDP, etc.)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static IcyListener getInstance()

### tagParsed

    public void tagParsed(TagParseEvent tpe)

  Description copied from interface: `TagParseListener`
  Called when a tag is found (parsed from the stream, received via UDP, etc.)

  Specified by:
    `tagParsed` in interface `TagParseListener`

### getLastTag

    public MP3Tag getLastTag()

  Returns:

### setLastTag

    public void setLastTag(MP3Tag tag)

  Parameters:
    `tag` -

### getStreamTitle

    public java.lang.String getStreamTitle()

  Returns:

### getStreamUrl

    public java.lang.String getStreamUrl()

  Returns:

### setStreamTitle

    public void setStreamTitle(java.lang.String string)

  Parameters:
    `string` -

### setStreamUrl

    public void setStreamUrl(java.lang.String string)

  Parameters:
    `string` -

### reset

    public void reset()

  Reset all properties.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

JavaZOOM 1999-2005